Query video task
GET
/
v1
/
videos
/
{taskId}
Query video task
curl --request GET \
--url https://sigrunai.com/v1/videos/{taskId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sigrunai.com/v1/videos/{taskId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sigrunai.com/v1/videos/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sigrunai.com/v1/videos/{taskId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 20000,
"msg": "<string>",
"data": {
"task_id": "<string>",
"status": "<string>",
"progress": 123,
"model": "<string>",
"created_at": 123,
"completed_at": 123,
"cost": 123,
"error_message": "<string>",
"result": {
"image_url": "<string>",
"video_url": "<string>"
}
}
}
Video URLs (result.video_url) are kept for about 3 days. Download promptly.
Create and query share the same data shape. data.cost is the charged amount (credits).
Status values
| status | Meaning | progress |
|---|---|---|
queued / pending / submitted | Submitted, waiting | 0 |
processing / in_progress / running | Generating | 1–99 |
completed / success / succeeded | Done — read result.video_url | 100 |
failed | Failed — see error_message | 0 |
curl -X GET 'https://sigrunai.com/v1/videos/vid_xxxxxxxx' \
-H 'Authorization: Bearer sk_xxx'
Last modified on October 15, 2026
⌘I
Query video task
curl --request GET \
--url https://sigrunai.com/v1/videos/{taskId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sigrunai.com/v1/videos/{taskId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sigrunai.com/v1/videos/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sigrunai.com/v1/videos/{taskId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"code": 20000,
"msg": "<string>",
"data": {
"task_id": "<string>",
"status": "<string>",
"progress": 123,
"model": "<string>",
"created_at": 123,
"completed_at": 123,
"cost": 123,
"error_message": "<string>",
"result": {
"image_url": "<string>",
"video_url": "<string>"
}
}
}